
package com.cpm.lorealbaMabeline.gsonGetterSetter;

import java.io.Serializable;
import java.util.List;

import com.cpm.lorealbaMabeline.checkout.MasterCheckoutQuestion;
import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import com.cpm.lorealbaMabeline.reportGetterSetter.ReportAttendanceDetail;
import com.cpm.lorealbaMabeline.reportGetterSetter.ReportAttendanceSummary;
import com.cpm.lorealbaMabeline.reportGetterSetter.ReportBAAvailability;
import com.cpm.lorealbaMabeline.reportGetterSetter.ReportInwardStockSummary;

public class MasterBAProfileGetterSetter implements Serializable {

    @SerializedName("Master_BAProfile")
    @Expose
    private List<MasterBAProfile> masterBAProfile = null;

    public List<MasterBAProfile> getMasterBAProfile() {
        return masterBAProfile;
    }

    @SerializedName("Master_PromoOffers")
    @Expose
    private List<MasterPromoOffer> masterPromoOffers = null;

    public List<MasterPromoOffer> getMasterPromoOffers() {
        return masterPromoOffers;
    }
    @SerializedName("Consumer_SalesHistory")
    @Expose
    private List<ConsumerSalesHistory> consumerSalesHistory = null;

    public List<ConsumerSalesHistory> getConsumerSalesHistory() {
        return consumerSalesHistory;
    }
    @SerializedName("Report_AttendanceDetail")
    @Expose
    private List<ReportAttendanceDetail> reportAttendanceDetail = null;

    public List<ReportAttendanceDetail> getReportAttendanceDetail() {
        return reportAttendanceDetail;
    }
    @SerializedName("Report_AttendanceSummary")
    @Expose
    private List<ReportAttendanceSummary> reportAttendanceSummary = null;

    public List<ReportAttendanceSummary> getReportAttendanceSummary() {
        return reportAttendanceSummary;
    }
    @SerializedName("Report_InwardStockSummary")
    @Expose
    private List<ReportInwardStockSummary> reportInwardStockSummary = null;

    public List<ReportInwardStockSummary> getReportInwardStockSummary() {
        return reportInwardStockSummary;
    }
    @SerializedName("Report_BA_Availability")
    @Expose
    private List<ReportBAAvailability> reportBAAvailability = null;

    public List<ReportBAAvailability> getReportBAAvailability() {
        return reportBAAvailability;
    }

    @SerializedName("Consumer_TermsConditionAccept")
    @Expose
    private List<ConsumerTermsConditionAccept> consumerTermsConditionAccept = null;

    public List<ConsumerTermsConditionAccept> getConsumerTermsConditionAccept() {
        return consumerTermsConditionAccept;
    }
    @SerializedName("Master_Looks")
    @Expose
    private List<MasterLook> masterLooks = null;

    public List<MasterLook> getMasterLooks() {
        return masterLooks;
    }
    @SerializedName("ME_MEAuditQuestion")
    @Expose
    private List<MEMEAuditQuestion> mEMEAuditQuestion;

    public List<MEMEAuditQuestion> getMEMEAuditQuestion() {
        return mEMEAuditQuestion;
    }

    @SerializedName("ME_MEAuditQuestion_UploadStatus")
    @Expose
    private List<MEMEAuditQuestionUploadstatus> mEMEAuditQuestionUploadStatus;

    public List<MEMEAuditQuestionUploadstatus> getMEMEAuditQuestionUploadStatus() {
        return mEMEAuditQuestionUploadStatus;
    }
    @SerializedName("Mapping_AppRestrictedKPI")
    private List<MappingAppRestrictedKPI> mappingAppRestrictedKPI;

    public List<MappingAppRestrictedKPI> getMappingAppRestrictedKPI() {
        return mappingAppRestrictedKPI;
    }

    @SerializedName("Master_CheckoutQuestion")
    private List<MasterCheckoutQuestion> masterCheckoutQuestion;

    public List<MasterCheckoutQuestion> getMasterCheckoutQuestion() {
        return masterCheckoutQuestion;
    }
}
